<?php
namespace Teknisa\TCO\Authentication;

use Zeedhi\Framework\DTO\Response\Error;

class Exception extends \Exception{
    
    /**
     * Exception to be throwed when user calls
     * an undefined function.
     */
    public static function invalidFunctionError(){
        return new static('Defined function does not exists.', -1);
    }

    /**
     * Exception to be throwed when user made
     * validations fails.
     */
    public static function userMadeError($errorCode){
        return new static($errorCode, -1);
    }

}